/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.framework;

import net.sf.joyaop.ObjectFactory;

/**
 * @author Shen Li
 */
public interface AspectRuntime extends ObjectFactory {
    void addInterceptor(InterceptorAspect interceptorAspect);

    void addMixin(MixinAspect mixinAspect);

    AspectFactory getAspectFactory();

    void setAspectFactory(AspectFactory aspectFactory);

    void addInterface(InterfaceAspect interfaceAspect);
}
